## cython 3.0.8

=== debian/changelog ===
cython (3.0.8-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:06 +1100

cython (3.0.8-1ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:15:20 +0100

cython (3.0.8-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Jan 2024 12:55:48 +0100

cython (3.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Patch: pyximport: Avoid chdir() and relative paths. (Closes: #1056872)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Jan 2024 14:14:12 -0400

cython (3.0.7-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 30 Dec 2023 11:42:37 -0400

cython (3.0.7-2) unstable; urgency=medium

  * Team upload.
  * Correctly skip cpp_stl_any, which is a doctest and must be skipped by
    module name only.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 29 Dec 2023 15:53:55 -0400

cython (3.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Dec 2023 21:26:11 -0400

cython (3.0.6-3) unstable; urgency=medium

  * Team upload.
  * Patch: Disable some tests that are failing on Debian CI.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Dec 2023 12:53:51 -0400
