=== debian/tests/control ===
Tests: import3
Depends: cython3, python3-all
Restrictions: superficial

Tests: testsuite
Depends: cython3,
         g++,
         gcc,
         gdb,
         make,
         python3-all-dev,
         python3-numpy,
         python3-setuptools
Restrictions: allow-stderr
