## cython 3.0.10%2Bdfsg

=== debian/changelog ===
cython (3.0.10+dfsg-5) unstable; urgency=medium

  * Team upload
  * When there is more than one supported Python version, i386 and arm64
    are too slow for autopkgtest to run the entire testsuite on each
    Python version without timing out.  So we restrict to only the default
    version on those archs.

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Apr 2024 19:39:36 +0100

cython (3.0.10+dfsg-4) unstable; urgency=medium

  * Team upload
  * debian/:
    - Build with --with=sphinxdoc only on -indep builds
    - Stop building debug extensions to finish move to -dbgsym
      packages (Closes: 1069305)
  * debian/rules:
    - Use $(MAKE) instead of make
    - Run tests only for -arch builds.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Apr 2024 18:15:24 +0200

cython (3.0.10+dfsg-3) unstable; urgency=medium

  * Team upload
  * Only build documentation when building arch-independent package

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 23:06:08 +0100

cython (3.0.10+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fix build-dependencies

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 15:29:16 +0100

cython (3.0.10+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version (closes: #1059835)
  * Install cythonize command-line script
  * Update to debhelper compat level 13
  * Update Standards-Version to 4.7.0 (no changes required)
  * Build with sphinxdoc to avoid embedded JavaScript code, and move
    documentation to /usr/share/doc/cython3
  * Add help2man-generated manpages for cythonize and cygdb
  * Update d/copyright and exclude demo files with unclear licensing
    conditions
  * Add doc-base file to cython-doc

 -- Julian Gilbey <jdg@debian.org>  Wed, 17 Apr 2024 22:17:50 +0100
