## cython 3.0.10+dfsg

=== debian/changelog ===
cython (3.0.10+dfsg-5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 06 May 2024 15:46:52 +0000
