## cython 3.0.11+dfsg

=== debian/changelog ===
cython (3.0.11+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Backport ufunc Numpy2 fix (closes: #1095084).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Feb 2025 17:55:27 +0000

cython (3.0.11+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
  * Refresh patches.
  * Patch: Fix a regression reported upstream.
  * Add a debian/.gitignore file to negate upstream's *.patch ignore.
  * Clean generated C sources.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Aug 2024 23:23:20 +0200
