## cython 3.1.6%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

# Python versions
PY3DEF=$(shell py3versions -dv)
PY3VERS=$(shell py3versions -vr)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  RUNTESTSOPTS=--shard_count=$(NUMJOBS)
endif

# In case matplotlib or anything else inquires
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

# For debian/generate-manpage
export DEB_VERSION_UPSTREAM

export PYBUILD_DESTDIR=debian/cython3

%:
	dh $@ --buildsystem pybuild

execute_after_dh_install-arch:
	# add debian version to watermark of generated files
	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
	  debian/cython3/usr/lib/python3*/dist-packages/Cython/Compiler/Version.py

execute_after_dh_auto_build-indep:
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs html
endif

override_dh_installdocs:
	dh_installdocs -pcython-doc --doc-main-package=cython3
	dh_installdocs --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs --all CHANGES.rst

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter sparc64,$(DEB_HOST_ARCH)))
	set -e; for P in $(PY3VERS); do \
	 echo =============== $$P start ===============; \
	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
            --no-refnanny -v -v \
	    --exclude="(parallel|Debugger|annotate_html|numpy_test|subinterpreters_threading_stress_test)" \
	    --work-dir=build/work-dir 2>&1; \
	 then \
	   echo =============== $$P done ===============; \
	 else \
	   echo "=============== $$P done (FAILURES IGNORED) ==============="; \
	 fi; \
	done
endif

override_dh_auto_test-indep:
	# no tests

override_dh_strip:
	dh_strip --dbgsym-migration='cython3-dbg (<< 0.29.36-1~)'

execute_after_dh_python3:
	debian/generate-manpage cython "compile Cython code (.pyx) into C to build a Python extension" debian/cython3
	debian/generate-manpage cygdb "run compiled Cython code under the GNU debugger" debian/cython3
	debian/generate-manpage cythonize "compile Cython code (.pyx) into C to build a Python extension" debian/cython3
	find debian/cython3 -name __pycache__ | xargs -r -- rm -rf

execute_after_dh_auto_clean:
	rm -rf docs/build
