=== debian/changelog ===
cython (3.1.6+dfsg-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Oct 2025 06:40:04 +0100

cython (3.1.6+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Santiago Vila ]
  * d/control: Drop <!nocheck> from python3-setuptools (closes: #1116724).

  [ Colin Watson ]
  * New upstream release:
    - Fixes GCC out-of-memory during tests on i386 (closes: #1114604).
    - Add support for Python 3.14 (closes: #1117978).
  * Fix manual page generation (closes: #1105905).

 -- Colin Watson <cjwatson@debian.org>  Sat, 25 Oct 2025 22:17:28 +0100

cython (3.0.11+dfsg-2ubuntu5) resolute; urgency=medium

  * Restore <!nocheck> build-dependencies, this resulted in
    many dependency-level changes in the transition tracker

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 08:51:58 +0000

cython (3.0.11+dfsg-2ubuntu4) resolute; urgency=medium

  * Drop <!nocheck> build-dependencies except
    python3-setuptools, see #1116724
  * Disable build-time tests for first build with Python 3.14

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 14:09:32 +0000

cython (3.0.11+dfsg-2ubuntu3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:09:55 +0000

cython (3.0.11+dfsg-2ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:52:31 +0000

cython (3.0.11+dfsg-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 11 Feb 2025 12:55:20 +0000

cython (3.0.11+dfsg-1ubuntu2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:53:48 +0100

cython (3.0.11+dfsg-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Aug 2024 12:41:24 +0200
