=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>,
            Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper-compat (= 13),
@@ -9,8 +10,8 @@
                gdb <!nocheck>,
                help2man,
                python3-all-dev,
-               python3-numpy <!nocheck>,
-               python3-setuptools <!nocheck>,
+               python3-numpy [!i386] <!nocheck>,
+               python3-setuptools,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
                      python3-sphinx,
                      python3-sphinx-issues,
