=== debian/rules ===
--- 
+++ 
@@ -43,21 +43,21 @@
 	dh_installchangelogs --all CHANGES.rst
 
 override_dh_auto_test-arch:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter sparc64,$(DEB_HOST_ARCH)))
-	set -e; for P in $(PY3VERS); do \
-	 echo =============== $$P start ===============; \
-	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
-	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
-            --no-refnanny -v -v \
-	    --exclude="(parallel|Debugger|annotate_html|numpy_test|subinterpreters_threading_stress_test)" \
-	    --work-dir=build/work-dir 2>&1; \
-	 then \
-	   echo =============== $$P done ===============; \
-	 else \
-	   echo "=============== $$P done (FAILURES IGNORED) ==============="; \
-	 fi; \
-	done
-endif
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter sparc64,$(DEB_HOST_ARCH)))
+#	set -e; for P in $(PY3VERS); do \
+#	 echo =============== $$P start ===============; \
+#	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
+#	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
+#           --no-refnanny -v -v \
+#	    --exclude="(parallel|Debugger|annotate_html|numpy_test|subinterpreters_threading_stress_test)" \
+#	    --work-dir=build/work-dir 2>&1; \
+#	 then \
+#	   echo =============== $$P done ===============; \
+#	 else \
+#	   echo "=============== $$P done (FAILURES IGNORED) ==============="; \
+#	 fi; \
+#	done
+#endif
 
 override_dh_auto_test-indep:
 	# no tests
