=== debian/watch ===
version=4
opts="searchmode=plain, \
      filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%, \
      dversionmangle=s/\+dfsg\d*$//, \
      repacksuffix=+dfsg" \
    https://api.github.com/repos/cython/cython/tags?per_page=100 \
    https://api.github.com/repos/cython/cython/tarball/refs/tags/@ANY_VERSION@
